1

Topic: Firebird 3.0

Good afternoon.
I try to deliver Firebird-3.0.2.32703-0.i686.tar
Added libtommath like it was delivered. At start firebird speaks
Could not find acceptable ICU library
Security database error
And in system
rpm-ql libicu52_1
/usr/lib64/libicudata.so.52.1
/usr/lib64/libicudata.so.52_1
/usr/lib64/libicui18n.so.52.1
/usr/lib64/libicui18n.so.52_1
/usr/lib64/libicuio.so.52.1
/usr/lib64/libicuio.so.52_1
/usr/lib64/libicule.so.52.1
/usr/lib64/libicule.so.52_1
/usr/lib64/libiculx.so.52.1
/usr/lib64/libiculx.so.52_1
/usr/lib64/libicutest.so.52.1
/usr/lib64/libicutest.so.52_1
/usr/lib64/libicutu.so.52.1
/usr/lib64/libicutu.so.52_1
/usr/lib64/libicuuc.so.52.1
/usr/lib64/libicuuc.so.52_1
Question: that it is necessary to it and how to launch?

2

Re: Firebird 3.0

kirill_sg;
it ?
. At me at setting on Debian 9 too swore on libtommath. As a result it appeared that  incorrectly formed ( CORE-5445 )

3

Re: Firebird 3.0

So I at all do not load anything. Switched in mode SS and simply I launch./firebird
He also swears at once. Libraries lie in/usr/lib64, all are accessible

4

Re: Firebird 3.0

kirill_sg wrote:

Firebird-3.0.2.32703-0.i686.tar

i686 - 32-bit

kirill_sg wrote:

/usr/lib64/libicudata.so.52.1

lib64 - 64-digit?

5

Re: Firebird 3.0

, Firebird-3.0.2.32703-0.amd64.tar

6

Re: Firebird 3.0

kirill_sg;
Try to enclose to it  with names libicuXXX.so.52
I.e. without last 1

7

Re: Firebird 3.0

kirill_sg wrote:

, Firebird-3.0.2.32703-0.amd64.tar

And you are assured, what launch it, instead of earlier delivered i686?

8

Re: Firebird 3.0

1. Deleted installed firebird
2. Made  libicu without.1
3. Started to install
# ./install.sh
Firebird 3.0.2.32703-0.amd64 Installation
Press Enter to start installation or ^C to abort
Extracting install data
Updated/etc/services
Please enter new password for SYSDBA user: masterkey
unable to open database
Could not find acceptable ICU library
Now all hangs also
4. It was tore at start attempt
./gsec-add sysdba-pass masterkey
unable to open database
Could not find acceptable ICU library
Cannot to security similar address

9

Re: Firebird 3.0

ended. Drooped.
./install.sh
Firebird 3.0.2.32703-0.amd64 Installation
Press Enter to start installation or ^C to abort
Extracting install data
Updated/etc/services
Please enter new password for SYSDBA user: masterkey
unable to open database
Could not find acceptable ICU library
Install completed